Subject: Re: [gaia] The farmer who built her own broadband - BBC News

From: Barath Raghavan <[email-masked]>
Date: Sat, 31 Dec 2016 13:21:39 -0800

Hi Paul,

Definitely -- there's nothing magical to it, or hard from a traditional research perspective.  Nor is the use of Steiner Trees new (in this context or others like it) -- though we don't think that Steiner Trees produce a great solution, so we only used it as a first cut.  I think where things get interesting (and different from prior work on the subject) is what we are working on and hint at in the paper: planning the network with multipathing in mind.  I'd be very interested to read any papers on that, if you know of any.

And yes -- land use is often one of the hardest pieces of the puzzle, though I'm not sure how close we are to automating negotiations with landowners :)

Thanks,

-Barath

> From: "Paul M. Aoki" <[email-masked]>
> Subject: Re: [gaia] The farmer who built her own broadband - BBC News
> Date: December 30, 2016 at 3:22:00 PM PST
> To: [email-masked]
> 
> 
> i think i'm missing something - using steiner trees is a basic technique in access network planning. for example, there are several chapters in <http://link.springer.com/book/10.1007/978-0-387-30165-5> that talk about this (as well as many alternative optimization formulations).
> 
> pouring the list of candidate tower locations, the access site coverage sets for each tower (generated from a terrain model), and cost/capacity constraints into a generic MILP solver is another standard industry approach and is not that hard (research-wise, not WISP-wise...i can believe there is a need for a free GUI tool, a la radiomobile). i've found that it's more tractable than you think because the first-order constraint on tower location is, after all, real estate and/or zoning. (i've always liked this story about the lake victoria wi-fi shot that took an extra year to complete because of a landowner on a remote island playing hardball: http://www.inveneo.org/2012/08/90km-wireless-link-for-mfangano-island/)